Name:          libradiusclient-ng
Version:       0.5.6
Release:       2mamba
Summary:       Radiusclient is a framework and library for writing RADIUS clients
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://developer.berlios.de/projects/radiusclient-ng/
Source0:       http://download.berlios.de/radiusclient-ng/radiusclient-ng-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libnsl-devel
## AUTOBUILDREQ-END
Provides:      libradiusclient = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libradiusclient < 0.5.6

# note: the divx4linux backend is not compiled because Divx4Linux is covered
# by a NON-FREE license

%description
Radiusclient is a framework and library for writing RADIUS clients.
The distribution contains a flexible RADIUS aware login replacement, a command line program to send RADIUS accounting records and a utility to query the status of a (Merit) RADIUS server.
All these programs are based on a library which lets you develop your own RADIUS aware application in less than 50 lines of C code. 
It is highly portable and runs at least under Linux, a lot of BSD variants and Solaris.

%package devel
Summary:       Static libraries and header for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libradiusclient-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libradiusclient-devel < 0.5.6

%description devel
Radiusclient is a framework and library for writing RADIUS clients.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provided with %{name}
Group:         Applications/Networking
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Radiusclient is a framework and library for writing RADIUS clients.
This package contains the tools provided with %{name}.

%debug_package

%prep
%setup -q -n radiusclient-ng-%{version}
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure --enable-radius-116
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/libradiusclient-ng.a

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libradiusclient-ng.so.*
%doc COPYRIGHT

%files tools
%defattr(-,root,root)
%dir %{_sysconfdir}/radiusclient-ng/
%{_sysconfdir}/radiusclient-ng/*
%{_sbindir}/login.radius
%{_sbindir}/radacct
%{_sbindir}/radexample
%{_sbindir}/radiusclient
%{_sbindir}/radlogin
%{_sbindir}/radstatus

%files devel
%defattr(-,root,root)
%{_includedir}/radiusclient-ng.h
%{_libdir}/libradiusclient-ng.so
%doc BUGS CHANGES README* doc/instop.html

%changelog
* Sat Dec 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.6-2mamba
- added a -tools package; rebuilt for aarch64

* Sun Oct 17 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.5.6-1mamba
- update to 0.5.6
- remove compatibility package libradiusclient0

* Mon Oct 22 2007 Aleph0 <aleph0@openmamba.org> 0.5.5-2mamba
- add compatibility package libradiusclient0

* Fri Sep 28 2007 Aleph0 <aleph0@openmamba.org> 0.5.5-1mamba
- update to 0.5.5

* Wed Jun 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.3-1qilnx
- first build
